<script>
import SaveBtn from "@components/utils/save-btn";
import EditMySkills from "@components/candidate/edit-my-skills";
import Multiselect from "vue-multiselect";

export default {
  name: "MyInfos",
  components: { SaveBtn, Multiselect, EditMySkills},
  props : {
    user : null
  },
  data() {
    return {
      domains_selected : [],
      domains : [],
    }
  },
  mounted() {
    this.getAllDomains()
    this.domainSelected()
  },
  methods : {
    domainSelected() {
      return this.domains_selected = this.user.domains;
    },
    async getAllDomains() {
      this.domains = await this.$store.dispatch('domain/all')
    },
    async updateDomainSelected() {
      const message = await this.$store.dispatch('domain/link_user', { domains : this.domains_selected });
      this.$bvToast.toast(message, {title: 'Succès'})
    }
  }
}
</script>

<template>
  <multiselect @input="updateDomainSelected" multiple v-model="domains_selected" :options="domains" placeholder="Mes domaines" track-by="name" label="name" selectLabel="Choisir" selectedLabel="Selectionné" deselectLabel="Retirer"></multiselect>
</template>
